<!--  -->
<template>
  <div class="btn_box" @click="btn_click">
    <div class="btn_bg1" :style="`background-image:url(${currentimg})`">
      <div :class="`icon iconfont ${icon}`"></div>
    </div>
    <div class="title">{{title}}</div>
  </div>
</template>

<script>
import defaultimg from "@/assets/images/btn_bg1.png";
import activeimg from "@/assets/images/btn_bg1_active.png";
export default {
  name: "yBtn",
  components: {},
  props: {
    title: {
      type: String,
      default: "按钮",
    },
    icon: {
      type: String,
      default: "iconpointer",
    },
    active: {
      type: Boolean,
      default: false,
    },
    ischecked: {
      type: Boolean,
       default: false,
    },
  },
  data() {
    return {};
  },
  created() {},
  mounted() {
    // console.log(this.active, 27);
  },
  computed: {
    currentimg() {
      let resimg = defaultimg
      if(this.ischecked){
        resimg = this.active ? activeimg : defaultimg
      }
      return resimg;
    },
    checked(){
      return this.active
    }
  },
  watch: {},
  methods: {
    btn_click(){
      this.$emit('click')
    }
  },
};
</script>
<style scoped>
.btn_box {
  width: 100px;
  height: 90px;
  cursor: pointer;
  position: relative;
  display: inline-block;
}

.btn_box .title {
  height: 30px;
  line-height: 30px;
  text-align: center;
  color: #fff;
  font-size: 18px;
  margin-top: -10px;
}
.btn_box .btn_bg1 {
  width: 100%;
  height: 70px;
  background-image: url("../assets/images/btn_bg1.png");
  background-repeat: no-repeat;
  background-size: 100% 100%;
}
.btn_box .btn_bg1 .icon {
  height: 40px;
  position: absolute;
  left: 30px;
  top: 5px;
  width: 40px;
  font-size: 40px;
  color: aquamarine;
}
.btn_box:hover .btn_bg1 .icon{
  color: #fff;
}
</style>
